Package org.eclipse.osgi.launch

## Class Equinox

- java.lang.Object
- - org.eclipse.osgi.launch.Equinox

All Implemented Interfaces:
  `Comparable<Bundle>`, `Bundle`, `Framework`

    public class Equinox
    extends Object
    implements Framework

The System Bundle implementation for the Equinox Framework.

Since:
  3.5

### Field Summary

### Fields inherited from interface org.osgi.framework.Bundle

`ACTIVE, INSTALLED, RESOLVED, SIGNERS_ALL, SIGNERS_TRUSTED, START_ACTIVATION_POLICY, START_TRANSIENT, STARTING, STOP_TRANSIENT, STOPPING, UNINSTALLED`

### Constructor Summary

Constructors
`Equinox​(Map<String,​?> configuration)`
`Equinox​(Map<String,​?> configuration, ModuleConnector moduleConnector)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<A> A` `adapt​(Class<A> type)`
`int` `compareTo​(Bundle o)`
`Enumeration<URL>` `findEntries​(String path, String filePattern, boolean recurse)`
`BundleContext` `getBundleContext()`
`long` `getBundleId()`
`File` `getDataFile​(String filename)`
`URL` `getEntry​(String path)`
`Enumeration<String>` `getEntryPaths​(String path)`
`Dictionary<String,​String>` `getHeaders()`
`Dictionary<String,​String>` `getHeaders​(String locale)`
`long` `getLastModified()`
`String` `getLocation()`
`ServiceReference<?>[]` `getRegisteredServices()`
`URL` `getResource​(String name)`
`Enumeration<URL>` `getResources​(String name)`
`ServiceReference<?>[]` `getServicesInUse()`
`Map<X509Certificate,​List<X509Certificate>>` `getSignerCertificates​(int signersType)`
`int` `getState()`
`String` `getSymbolicName()`
`Version` `getVersion()`
`boolean` `hasPermission​(Object permission)`
`void` `init()`
`void` `init​(FrameworkListener... listeners)`
`Class<?>` `loadClass​(String name)`
`void` `start()`
`void` `start​(int options)`
`void` `stop()`
`void` `stop​(int options)`
`void` `uninstall()`
`void` `update()`
`void` `update​(InputStream input)`
`FrameworkEvent` `waitForStop​(long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Equinox

    public Equinox​(Map<String,​?> configuration)

#### Equinox

    public Equinox​(Map<String,​?> configuration,
                   ModuleConnector moduleConnector)

Since:
  3.16

### Method Detail

#### getState

    public int getState()

Specified by:
  `getState` in interface `Bundle`

#### getHeaders

    public Dictionary<String,​String> getHeaders()

Specified by:
  `getHeaders` in interface `Bundle`

#### getRegisteredServices

    public ServiceReference<?>[] getRegisteredServices()

Specified by:
  `getRegisteredServices` in interface `Bundle`

#### getServicesInUse

    public ServiceReference<?>[] getServicesInUse()

Specified by:
  `getServicesInUse` in interface `Bundle`

#### hasPermission

    public boolean hasPermission​(Object permission)

Specified by:
  `hasPermission` in interface `Bundle`

#### getResource

    public URL getResource​(String name)

Specified by:
  `getResource` in interface `Bundle`

#### getHeaders

    public Dictionary<String,​String> getHeaders​(String locale)

Specified by:
  `getHeaders` in interface `Bundle`

#### loadClass

    public Class<?> loadClass​(String name)
                       throws ClassNotFoundException

Specified by:
  `loadClass` in interface `Bundle`
Throws:
  `ClassNotFoundException`

#### getResources

    public Enumeration<URL> getResources​(String name)
                                  throws IOException

Specified by:
  `getResources` in interface `Bundle`
Throws:
  `IOException`

#### getLastModified

    public long getLastModified()

Specified by:
  `getLastModified` in interface `Bundle`
Specified by:
  `getLastModified` in interface `Framework`

#### getBundleContext

    public BundleContext getBundleContext()

Specified by:
  `getBundleContext` in interface `Bundle`

#### getSignerCertificates

    public Map<X509Certificate,​List<X509Certificate>> getSignerCertificates​(int signersType)

Specified by:
  `getSignerCertificates` in interface `Bundle`

#### getVersion

    public Version getVersion()

Specified by:
  `getVersion` in interface `Bundle`

#### getDataFile

    public File getDataFile​(String filename)

Specified by:
  `getDataFile` in interface `Bundle`

#### compareTo

    public int compareTo​(Bundle o)

Specified by:
  `compareTo` in interface `Comparable<Bundle>`

#### start

    public void start​(int options)
               throws BundleException

Specified by:
  `start` in interface `Bundle`
Specified by:
  `start` in interface `Framework`
Throws:
  `BundleException`

#### start

    public void start()
               throws BundleException

Specified by:
  `start` in interface `Bundle`
Specified by:
  `start` in interface `Framework`
Throws:
  `BundleException`

#### stop

    public void stop​(int options)
              throws BundleException

Specified by:
  `stop` in interface `Bundle`
Specified by:
  `stop` in interface `Framework`
Throws:
  `BundleException`

#### stop

    public void stop()
              throws BundleException

Specified by:
  `stop` in interface `Bundle`
Specified by:
  `stop` in interface `Framework`
Throws:
  `BundleException`

#### update

    public void update​(InputStream input)
                throws BundleException

Specified by:
  `update` in interface `Bundle`
Specified by:
  `update` in interface `Framework`
Throws:
  `BundleException`

#### update

    public void update()
                throws BundleException

Specified by:
  `update` in interface `Bundle`
Specified by:
  `update` in interface `Framework`
Throws:
  `BundleException`

#### uninstall

    public void uninstall()
                   throws BundleException

Specified by:
  `uninstall` in interface `Bundle`
Specified by:
  `uninstall` in interface `Framework`
Throws:
  `BundleException`

#### getBundleId

    public long getBundleId()

Specified by:
  `getBundleId` in interface `Bundle`
Specified by:
  `getBundleId` in interface `Framework`

#### getLocation

    public String getLocation()

Specified by:
  `getLocation` in interface `Bundle`
Specified by:
  `getLocation` in interface `Framework`

#### getSymbolicName

    public String getSymbolicName()

Specified by:
  `getSymbolicName` in interface `Bundle`
Specified by:
  `getSymbolicName` in interface `Framework`

#### getEntryPaths

    public Enumeration<String> getEntryPaths​(String path)

Specified by:
  `getEntryPaths` in interface `Bundle`
Specified by:
  `getEntryPaths` in interface `Framework`

#### getEntry

    public URL getEntry​(String path)

Specified by:
  `getEntry` in interface `Bundle`
Specified by:
  `getEntry` in interface `Framework`

#### findEntries

    public Enumeration<URL> findEntries​(String path,
                                        String filePattern,
                                        boolean recurse)

Specified by:
  `findEntries` in interface `Bundle`
Specified by:
  `findEntries` in interface `Framework`

#### adapt

    public <A> A adapt​(Class<A> type)

Specified by:
  `adapt` in interface `Bundle`
Specified by:
  `adapt` in interface `Framework`

#### init

    public void init()
              throws BundleException

Specified by:
  `init` in interface `Framework`
Throws:
  `BundleException`

#### init

    public void init​(FrameworkListener... listeners)
              throws BundleException

Specified by:
  `init` in interface `Framework`
Throws:
  `BundleException`
Since:
  3.10

#### waitForStop

    public FrameworkEvent waitForStop​(long timeout)
                               throws InterruptedException

Specified by:
  `waitForStop` in interface `Framework`
Throws:
  `InterruptedException`